Symbol level dialog causes QGIS crash

2012-03-31 06:44 AM - Alessandro Ciali

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: window Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 14997

Description

Attemping to access to symbol level dialog from layer properties of a polygon shape layer causes QGIS crash.

History

#1 - 2012-03-31 07:42 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot replicate here, can you please attach sample data and exact steps? thanks.

#2 - 2012-04-01 12:14 AM - Alessandro Ciali

- File geologia.7z added

step 1: load data with legend loaded as default in QGIS Master

step2: open properties dialog for layer RU_st018poly

step3: from Style -> advanced -> symbol levels

QGIS crashes immediately with the following window message:

'QGIS.exe ha smesso di funzionare

Si è verificato un problema che impedisce il corretto funzionamento del programma. Chiudere il programma.'

I'm sending the shp RU_st018poly for you to reproduce the error.

Thank, best regards

Alessandro

#3 - 2012-04-01 05:09 AM - aperi2007 -

I try using the 

qgis-dev commit:157541e (01/04/2012)

(very nice the 

Using the shapefile given opening the properties->style->advanded->symbol-level.

I cannot reproduce the bug.

Perhaps some other conditions or global setting on qgis to do it ?

I'm using win7 64bit.

2024-03-13 1/3



#4 - 2012-04-02 09:18 AM - Giovanni Manghi

Perhaps some other conditions or global setting on qgis to do it ?

please check if there is any 3rd party plugin that is interfering. Try backup and delete the .qgis folder and give it a try again. Thanks.

#5 - 2012-04-02 11:46 PM - Alessandro Ciali

Hi,

I renamed .qgis folder but never has changed. I think the problem is not depending on some plugin.

Under Qgis 1.7.4 i can access to the symbol level menu without problem for the same layer I sent to you.

I also tryed to uncheck one by one the option in the rendering tab (option menu), but It seems non to be related with the problem.

I don't know where is the problem :(.

#6 - 2012-04-18 04:09 AM - Giovanni Manghi

Alessandro Ciali aciali wrote:

Hi,

I renamed .qgis folder but never has changed. I think the problem is not depending on some plugin.

Under Qgis 1.7.4 i can access to the symbol level menu without problem for the same layer I sent to you.

I also tryed to uncheck one by one the option in the rendering tab (option menu), but It seems non to be related with the problem.

I don't know where is the problem :(.

can you please test on another machine and report back? So we can understand if is a local problem. Thanks.

#7 - 2012-04-18 10:26 AM - Alessandro Ciali

I experienced this bug in 2 computer both of them with AMD 64 processor, Win 7 64bit. In both cases QGIS Master produced the error, while QGIS 1.7.4

worked fine. Unfortunately in this moment I haven't other computer/systems to test the bug, if I'll get one I'll try. Anyone can test this error on other systems?

#8 - 2012-05-22 05:05 AM - Jürgen Fischer

Are trying with the categorized renderer with "Display classification attribute names in legend" enabled in options?  Then this should be fixed with

commit:fbdebd1e

#9 - 2012-05-22 01:13 PM - Alessandro Ciali

Yes it is. I'll try the new version as soon as possible. Thanks,

Alessandro

#10 - 2012-05-23 02:18 AM - Alessandro Ciali

Tested commit:c367a35, symbol level dialog seems to work as aspecteced, I suggest to close the ticket.

Thanks,
Alessandro

#11 - 2012-05-23 05:09 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

Files

geologia.7z 26.6 KB 2012-03-31 Alessandro Ciali
